/************************************************************************
 *
 *   getbname.c  --  get valid btree name & initialize btcommo struct
 *
 */

#include "cbtree.h"

void getbname(argc, argv, btcp)
int   argc;
char *argv[];
BTC  *btcp;
{
   int  b;
   char btname[82];

   if (argc > 1)
      strnncpy(btname, argv[1], 8);
   else
   {
      printf("\n\nEnter b-tree name (xxxxxxxx) ==> ");
      gets(btname);
   }

   repeat
   {
      if ((b = btrinit(btname, btcp)) == ERR)
      {
         printf("\nGETBNAME: entry for '%s' not found in BTPARMS.BTR",
               btname);
         printf("\n\nEnter b-tree name (xxxxxxxx) ==> ");
         gets(btname);
         if (*btname == NUL  ||   toupper(*btname) == 'X')
            exit(0);
      }
   }
   until(b != ERR);
}
